### Method

# FwupdPlugin Firmware get_image_by_id

since: 1.3.1

#### Declaration [src]

    FuFirmware*
    fu_firmware_get_image_by_id (
      FuFirmware* self,
      const gchar* id,
      GError** error
    )

#### Description [src]

Gets the firmware image using the image ID.

Available since: 1.3.1

#### Parameters

`id`

  Type: `const gchar*`

  Image ID, e.g. `config` or `*.mfg|*.elf`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FuFirmware`

A `FuFirmware`, or `NULL` if the image is not found.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.